Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class AttributeCertificate

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.x509.AttributeCertificate

All Implemented Interfaces:
  DEREncodable

public class AttributeCertificate
extends ASN1Encodable

Constructor Summary
`AttributeCertificate(ASN1Sequence seq)`
`AttributeCertificate(AttributeCertificateInfo acinfo, AlgorithmIdentifier signatureAlgorithm, DERBitString signatureValue)`

Method Summary
`AttributeCertificateInfo` | `getAcinfo()`
`static AttributeCertificate` | `getInstance(java.lang.Object obj)`
`AlgorithmIdentifier` | `getSignatureAlgorithm()`
`DERBitString` | `getSignatureValue()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeCertificate

    public AttributeCertificate(AttributeCertificateInfo acinfo,
                                AlgorithmIdentifier signatureAlgorithm,
                                DERBitString signatureValue)

### AttributeCertificate

    public AttributeCertificate(ASN1Sequence seq)

Method Detail

### getInstance

    public static AttributeCertificate getInstance(java.lang.Object obj)

  Parameters:
    `obj` -
  Returns:
    an AttributeCertificate object

### getAcinfo

    public AttributeCertificateInfo getAcinfo()

### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

### getSignatureValue

    public DERBitString getSignatureValue()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

        AttributeCertificate ::= SEQUENCE {
             acinfo               AttributeCertificateInfo,
             signatureAlgorithm   AlgorithmIdentifier,
             signatureValue       BIT STRING
        }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.27
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD